#!/usr/bin/env ruby

module GClouderUndefinedResources
  module SelfLink
    def self.region(resource)
      r = resource["selfLink"].match(/.*\/regions\/([^\/]+)/)
      r.nil? ? nil : r[1]
    end

    def self.zone(resource)
      r = resource["selfLink"].match(/.*\/zones\/([^\/]+)/)
      r.nil? ? nil : r[1]
    end

    def self.global(resource)
      !resource["selfLink"].match(/.*\/projects\/[^\/]+\/global/).nil?
    end
  end
end
